Package org.apache.felix.hc.core.impl.scheduling.cron.quartz

## Class AsyncQuartzCronJob

- java.lang.Object
- - org.apache.felix.hc.core.impl.scheduling.AsyncJob
  - - org.apache.felix.hc.core.impl.scheduling.cron.quartz.AsyncQuartzCronJob

    public class AsyncQuartzCronJob
    extends AsyncJob

Async job to be used by async health checks and async monitor. This implementation uses quartz to support the cron syntax (which is not supported by executors from standard java java.util.concurrent package)

### Nested Class Summary

Nested Classes
`static class` `AsyncQuartzCronJob.QuartzJob`

### Field Summary

### Fields inherited from class org.apache.felix.hc.core.impl.scheduling.AsyncJob

`runnable`

### Constructor Summary

Constructors
`AsyncQuartzCronJob​(Runnable runnable, QuartzCronSchedulerProvider quartzCronSchedulerProvider, String id, String group, String cronExpression)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.quartz.JobKey` `getJobKey()`
`boolean` `schedule()`
`String` `toString()`
`boolean` `unschedule()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AsyncQuartzCronJob

    public AsyncQuartzCronJob​(Runnable runnable,
                              QuartzCronSchedulerProvider quartzCronSchedulerProvider,
                              String id,
                              String group,
                              String cronExpression)

### Method Detail

#### getJobKey

    public org.quartz.JobKey getJobKey()

#### schedule

    public boolean schedule()

Specified by:
  `schedule` in class `AsyncJob`

#### unschedule

    public boolean unschedule()

Specified by:
  `unschedule` in class `AsyncJob`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`